archi:
    name : kvm
    version : 1.0
switch:
    name : switch-kvm
    interfaces :
        1 :
            link : br0
            intname : eth0
            type : external
            vlan : 1
        2 :
            link : tap1
            vlan : 2
vlans :
    1 :
        intname: vlan1
        dhcp4: yes
    2 :
        intname: vlan2
        addresses : [ 192.168.5.1/24 ]
routes :
        forward: yes
        nat:
            source: [ 192.168.5.0/24 ]
            out: vlan1
        dnat:
          - in: vlan1
            protocole : tcp
            dports: [ 5901 ]
            to : 127.0.0.1
machines :
    machine-1:
         kvm :
            image: alpine
            link : tap1
            vnc:
                listen : 127.0.0.1
                port: 1
                password : "my_secret"
